Get ai hosting plan and usages of a customer by planId
GET/v2/ customers/ {customerId}/ ai-hostings/ {planId}/
API version
v2
Request method
GET
Operation ID
ai-hosting-customer-get-plan
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/ai-hostings/string?topUsageCount=123
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerGetPlan({
"customerId": "string",
"planId": "string",
"queryParameters": {
"topUsageCount": 123
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerGetPlan\AiHostingCustomerGetPlanRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new AiHostingCustomerGetPlanRequest(
customerId: "string",
planId: "string"
))
->withTopUsageCount(123);
$response = $client->aiHosting()->aiHostingCustomerGetPlan($request);
var_dump($response->getBody();